Closed Bug 554562 Opened 10 years ago Closed 7 years ago

Timeouts in dom-level2-html (test_HTMLDocument09.html, test_HTMLBodyElement09.html, test_HTMLBodyElement10.html, test_HTMLBodyElement11.html, test_HTMLDocument01.html, test_HTMLButtonElement01.html) after "For application/x-java-vm found plugin npjp2.dll"

Categories

(Core :: XPCOM, defect)

x86
Windows XP
defect
Not set

Tracking

()

RESOLVED WORKSFORME

People

(Reporter: cjones, Unassigned)

References

Details

(Keywords: intermittent-failure)

Two on win32-slave01, don't know if that's significant.

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269391910.1269394661.16791.gz
WINNT 5.2 mozilla-central debug test mochitests-3/5 on 2010/03/23 17:51:50  
s: win32-slave01

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269396007.1269398902.26810.gz
WINNT 5.2 mozilla-central debug test mochitests-3/5 on 2010/03/23 19:00:07  
s: win32-slave20

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269396819.1269399244.27591.gz
WINNT 5.2 mozilla-central debug test mochitests-3/5 on 2010/03/23 19:13:39
s: win32-slave01

Errors like so

1436 INFO Running /tests/dom/tests/mochitest/dom-level2-html/test_HTMLBodyElement10.html...
For application/x-java-vm found plugin npjp2.dll
++DOMWINDOW == 26 (092E5958) [serial = 1106] [outer = 07B0CA48]
pldhash: for the table at address 07C1A508, the given entrySize of 48 probably favors chaining over double hashing.
++DOCSHELL 07C1A4A0 == 11
++DOMWINDOW == 27 (09C5F118) [serial = 1107] [outer = 00000000]
++DOMWINDOW == 28 (09DD1C90) [serial = 1108] [outer = 09C5F0E8]
### ERROR: SymGetModuleInfo64: The specified module could not be found.
### ERROR: SymGetModuleInfo64: The specified module could not be found.
### ERROR: SymGetModuleInfo64: The specified module could not be found.
### ERROR: SymGetModuleInfo64: The specified module could not be found.
### ERROR: SymGetModuleInfo64: The specified module could not be found.
### ERROR: SymGetModuleInfo64: The specified module could not be found.
TEST-UNEXPECTED-FAIL | automation.py | application timed out after 330 seconds with no output

This started after http://hg.mozilla.org/mozilla-central/rev/386f417ef8a8, but I don't see how that could have affected anything.
Looks like these DOM tests load a files/document.html in a iframe, which includes

<OBJECT DATA="./pix/line.gif" CODETYPE="image/gif" HEIGHT="10">
<APPLET ALIGN="bottom" ALT="Applet Number 1" ARCHIVE="" CODE="org/w3c/domts/DOMTSApplet.class" CODEBASE="applets"></APPLET>
</OBJECT>
<OBJECT DATA="./pix/logo.gif" type="image/gif">
<APPLET ALT="Applet Number 2" CODE="org/w3c/domts/DOMTSApplet.class" CODEBASE="applets"></APPLET>
</OBJECT>

Also looks like some of these tests load the same sub-document without any problems.  The translation to an error in SymGetModuleInfo64() is still apparent to me.
These all seem to be red herrings.  I have no idea what's going on.
Component: Plug-ins → XPCOM
QA Contact: plugins → xpcom
Summary: Test failures for test_HTMLBodyElement10.html and test_HTMLBodyElement11.html "### ERROR: SymGetModuleInfo64: The specified module could not be found" for npjp2.dll → Timeouts in test_HTMLBodyElement10.html and test_HTMLBodyElement11.html
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270062311.1270064502.13559.gz
WINNT 5.2 mozilla-central debug test mochitests-3/5 on 2010/03/31 12:05:11
s: win32-slave39
Summary: Timeouts in test_HTMLBodyElement10.html and test_HTMLBodyElement11.html → Timeouts in test_HTMLBodyElement09.html and test_HTMLBodyElement10.html and test_HTMLBodyElement11.html
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270849996.1270852263.13820.gz
WINNT 5.2 mozilla-central debug test mochitests-3/5 on 2010/04/09 14:53:16
s: win32-slave34

1560 INFO Running /tests/dom/tests/mochitest/dom-level2-html/test_HTMLDocument01.html...
++DOMWINDOW == 48 (090E4040) [serial = 1236] [outer = 06BA4B80]
pldhash: for the table at address 08075120, the given entrySize of 48 probably favors chaining over double hashing.
++DOCSHELL 080750B8 == 21
++DOMWINDOW == 49 (0A0206D0) [serial = 1237] [outer = 00000000]
++DOMWINDOW == 50 (0A7BE598) [serial = 1238] [outer = 0A0206A0]
For application/x-java-vm found plugin npjp2.dll
TEST-UNEXPECTED-FAIL | automation.py | application timed out after 330 seconds with no output

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270769826.1270772305.12086.gz
WINNT 5.2 mozilla-central debug test mochitests-3/5 on 2010/04/08 16:37:06
s: win32-slave34

1560 INFO Running /tests/dom/tests/mochitest/dom-level2-html/test_HTMLDocument01.html...
++DOMWINDOW == 28 (06BB3638) [serial = 1236] [outer = 06CC9120]
pldhash: for the table at address 092FCB40, the given entrySize of 48 probably favors chaining over double hashing.
++DOCSHELL 092FCAD8 == 12
++DOMWINDOW == 29 (0926FD50) [serial = 1237] [outer = 00000000]
++DOMWINDOW == 30 (096720B0) [serial = 1238] [outer = 0926FD20]
For application/x-java-vm found plugin npjp2.dll
TEST-UNEXPECTED-FAIL | automation.py | application timed out after 330 seconds with no output
Summary: Timeouts in test_HTMLBodyElement09.html and test_HTMLBodyElement10.html and test_HTMLBodyElement11.html → Timeouts in dom-level2-html (test_HTMLBodyElement09.html, test_HTMLBodyElement10.html, test_HTMLBodyElement11.html, test_HTMLDocument01.html) after "For application/x-java-vm found plugin npjp2.dll"
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271441350.1271443598.7271.gz
WINNT 5.2 mozilla-central debug test mochitests-3/5 on 2010/04/16 11:09:10
s: win32-slave29
Whiteboard: [orange]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1278546259.1278547361.27935.gz
WINNT 5.2 mozilla-central debug test mochitests-3/5 on 2010/07/07 16:44:19
s: win32-slave51

TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/dom-level2-html/test_HTMLButtonElement01.html | application timed out after 330 seconds with no output
Summary: Timeouts in dom-level2-html (test_HTMLBodyElement09.html, test_HTMLBodyElement10.html, test_HTMLBodyElement11.html, test_HTMLDocument01.html) after "For application/x-java-vm found plugin npjp2.dll" → Timeouts in dom-level2-html (test_HTMLBodyElement09.html, test_HTMLBodyElement10.html, test_HTMLBodyElement11.html, test_HTMLDocument01.html, test_HTMLButtonElement01.html) after "For application/x-java-vm found plugin npjp2.dll"
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1282761873.1282764859.13753.gz
WINNT 5.2 mozilla-central debug test mochitests-3/5 on 2010/08/25 11:44:33
s: win32-slave23

For application/x-java-vm found plugin npjp2.dll
TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/dom-level2-html/test_HTMLDocument09.html | application timed out after 330 seconds with no output
Summary: Timeouts in dom-level2-html (test_HTMLBodyElement09.html, test_HTMLBodyElement10.html, test_HTMLBodyElement11.html, test_HTMLDocument01.html, test_HTMLButtonElement01.html) after "For application/x-java-vm found plugin npjp2.dll" → test_HTMLButtonElement01.html) after "For application/x-java-vm found plugin npjp2.dll" Timeouts in dom-level2-html (test_HTMLDocument09.html, test_HTMLBodyElement09.html, test_HTMLBodyElement10.html, test_HTMLBodyElement11.html, test_HTMLDocument01.html
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1283207632.1283210412.17414.gz
WINNT 5.2 mozilla-central debug test mochitests-3/5 on 2010/08/30 15:33:52
s: win32-slave02

For application/x-java-vm found plugin npjp2.dll
TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/dom-level2-html/test_HTMLDocument20.html | application timed out after 330 seconds with no output
2 years without showing itself, can we close this?
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.